# This file is the input for generating the list of preferences
# for pc_sync.cpp and pc_sync.h.
#
# For information on how to add or modify a preference, please
# refer to the module documentation.
#
# Preferences cannot depend directly on FEATUREs, they must depend
# on the macro they define.
#
Collection:  PrefsCollectionSync
Macro name:  PCSYNC
Description: Sync settings
Type:        normal

Preference:  LastCachedAccess
Depends on:
Section:     Opera Sync
Key:         Last Cached Access
Type:        integer
Description: Time for last signups
Default:     0

Preference:  LastCachedAccessNum
Depends on:
Section:     Opera Sync
Key:         Last Cached Access Num
Type:        integer
Description: Number of signups on day represented by "Time for last signups"
Default:     0

Preference:  SyncBookmarks
Depends on:  SYNC_HAVE_BOOKMARKS
Section:     Opera Sync
Key:         Sync Bookmarks
Type:        boolean
Description: If set, bookmarks will be synchronized
Default:     TRUE

Preference:  SyncClientState
Depends on:
Section:     Opera Sync
Key:         Sync Client State
Type:        string
Description: Opera Link (sync) sync state, generated by the server
Default:     "0"

Preference:  SyncClientStateBookmarks
Depends on:
Section:     Opera Sync
Key:         Sync Client State Bookmarks
Type:        string
Description: Opera Link (sync) sync state, generated by the server, and saved for Bookmarks
Default:     "0"

Preference:  SyncClientStateExtensions
Depends on:  SYNC_HAVE_EXTENSIONS
Section:     Opera Sync
Key:         Sync Client State Extensions
Type:        string
Description: Opera Link (sync) sync state, generated by the server, and saved for Extensions
Default:     "0"

Preference:  SyncClientStateNotes
Depends on:  SYNC_HAVE_NOTES
Section:     Opera Sync
Key:         Sync Client State Notes
Type:        string
Description: Opera Link (sync) sync state, generated by the server, and saved for Notes
Default:     "0"

Preference:  SyncClientStatePasswordManager
Depends on:  SYNC_HAVE_PASSWORD_MANAGER
Section:     Opera Sync
Key:         Sync Client State Password Manager
Type:        string
Description: Opera Link (sync) sync state, generated by the server, and saved for password manager
Default:     "0"

Preference:  SyncClientStateSearches
Depends on:  SYNC_HAVE_SEARCHES
Section:     Opera Sync
Key:         Sync Client State Searches
Type:        string
Description: Opera Link (sync) sync state, generated by the server, and saved for Searches
Default:     "0"

Preference:  SyncClientStateSpeeddial
Depends on:  defined(SYNC_HAVE_SPEED_DIAL) && !defined(SYNC_HAVE_SPEED_DIAL_2)
Section:     Opera Sync
Key:         Sync Client State Speed Dial
Type:        string
Description: Opera Link (sync) sync state, generated by the server, and saved for Speed dials
Default:     "0"

Preference:  SyncClientStateSpeeddial2
Depends on:  SYNC_HAVE_SPEED_DIAL_2
Section:     Opera Sync
Key:         Sync Client State Speed Dial 2
Type:        string
Description: Opera Link (sync) sync state, generated by the server, and saved for Speed Dial 2
Default:     "0"

Preference:  SyncClientStateTypedHistory
Depends on:  SYNC_TYPED_HISTORY
Section:     Opera Sync
Key:         Sync Client State Typed History
Type:        string
Description: Opera Link (sync) sync state, generated by the server, and saved for Typed History
Default:     "0"

Preference:  SyncDataProvider
Depends on:  SUPPORT_DATA_SYNC
Section:     Opera Sync
Key:         Sync Data Provider
Type:        string
Description: Which data provider to use
Default:     DEFAULT_SYNC_PROVIDER

Preference:  SyncEnabled
Depends on:
Section:     Opera Sync
Key:         Sync Enabled
Type:        boolean
Description: If set, Opera Link is enabled otherwise it's disabled
Default:     FALSE

Preference:  SyncExtensions
Depends on:  SYNC_HAVE_EXTENSIONS
Section:     Opera Sync
Key:         Sync Extensions
Type:        boolean
Description: If set, installed extensions will be synchronized
Default:     TRUE

Preference:  SyncFeeds
Depends on:  SYNC_HAVE_FEEDS
Section:     Opera Sync
Key:         Sync Feeds
Type:        boolean
Description: If set, feeds will be synchronized
Default:     TRUE

Preference:  SyncLastUsed
Depends on:
Section:     Opera Sync
Key:         Sync Last Used
Type:        integer
Description: Last time Link was used. This is the number of seconds since epoch.
Default:     0

Preference:  SyncNotes
Depends on:  SYNC_HAVE_NOTES
Section:     Opera Sync
Key:         Sync Notes
Type:        boolean
Description: If set, bookmarks on personalbar will be synchronized
Default:     TRUE

Preference:  SyncPasswordManager
Depends on:  SYNC_HAVE_PASSWORD_MANAGER
Section:     Opera Sync
Key:         Sync Password Manager
Type:        boolean
Description: If set, passwords will be synchronized
Default:     FALSE

Preference:  SyncPersonalbar
Depends on:  SYNC_HAVE_PERSONAL_BAR
Section:     Opera Sync
Key:         Sync Personalbar
Type:        boolean
Description: If set, bookmarks on personalbar will be synchronized
Default:     TRUE

Preference:  SyncSearches
Depends on:  SYNC_HAVE_SEARCHES
Section:     Opera Sync
Key:         Sync Searches
Type:        boolean
Description: If set, search engines will be synchronized
Default:     TRUE

Preference:  SyncSpeeddial
Depends on:  SYNC_HAVE_SPEED_DIAL
Section:     Opera Sync
Key:         Sync Speed Dial
Type:        boolean
Description: If set, speeddials will be synchronized
Default:     TRUE

Preference:  SyncTypedHistory
Depends on:  SYNC_HAVE_TYPED_HISTORY
Section:     Opera Sync
Key:         Sync Typed History
Type:        boolean
Description: If set, typed history will be synchronized
Default:     TRUE

Preference:  SyncUsed
Depends on:
Section:     Opera Sync
Key:         Sync Used
Type:        boolean
Description: If set, user has used Link
Default:     FALSE

Preference:  CompleteSync
Depends on:
Section:     Opera Sync Server
Key:         Complete Sync
Type:        boolean
Description: If set, a complete sync is done on next sync
Default:     FALSE

Preference:  ServerAddress
Depends on:
Section:     Opera Sync Server
Key:         Server Address
Type:        string
Description: Address of the link server to synchronize with
Default:     DEFAULT_OPERA_LINK_SERVER

Preference:  SyncLogTraffic
Depends on:
Section:     Opera Sync Server
Key:         Log Traffic
Type:        boolean
Description: If set, will make the sync module log incoming and outgoing data
Default:     FALSE

Preference:  SyncURLFilter
Depends on:  SYNC_CONTENT_FILTERS
Section:     Opera Sync
Key:         Sync URL Filter
Type:        boolean
Description: If set, URL filters will be synchronized
Default:     TRUE

Preference:  SyncClientStateURLFilter
Depends on:  SYNC_CONTENT_FILTERS
Section:     Opera Sync
Key:         Sync Client State URL Filter
Type:        string
Description: Opera Link (sync) sync state, generated by the server, and saved for URL Filter
Default:     "0"

.eof
